Skip to navigation

Inquire of Response to Request for Information.

View as Markdown
This endpoint allows you to get Response to Request for Information.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Path parameters

idstringRequired<=100 characters

Your unique identification for a request for information, same as rfi_id.

Query parameters

client_idstringRequired
Your unique identification, same as the identification you use for OAuth token generation, Citi shared with you during your CitiConnect API onboarding

Response headers

request_idstringOptional
Citi's unique identification for your request

Response

OK
rfi_idstring1-100 characters
RFI ID.
fieldlevel_requestslist of objectsOptional
Field level requests for which response is requested

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
415
Unsupported Media Type Error
500
Internal Server Error